Subject: Bug#4320: dc fonts (t1enc) are much too big

From: Herbert Thielen <[email-masked]>
Date: Wed, 28 Aug 1996 17:07:21 +0200 (MET DST)

Package: latex
Version: 2e-7

Package: mfbasfnt
Version: 1.0-4

This didn't find it's way to the bug logging system as I used the old
mail address. So it's here again ...

Regards
	Herbert.

----- Forwarded message from thielen -----

>From thielen Sun Aug 18 02:12:48 1996
Subject: dc fonts (t1enc) are much too big
To: [email-masked]
Date: Sun, 18 Aug 1996 02:12:48 +0200 (MET DST)
X-Mailer: ELM [version 2.4 PL24 ME7a]
MIME-Version: 1.0
Content-Type: text/plain; charset=US-ASCII
Content-Transfer-Encoding: 7bit
Content-Length: 1133      

Package: latex
Version: 2e-7

Package: mfbasfnt
Version: 1.0-4

When I latex the following little document:

\documentclass[12pt,german,a4paper]{report}
\usepackage[T1]{fontenc}		% T1 font encoding
\begin{document}
\chapter{One}
\end{document}

LaTeX reports:
[...]
	Chapter 1.

	Overfull \hbox (1288.91795pt too wide) in paragraph at lines 4--4
	[]\T1/cmr/bx/n/24.88 Chapter 

	Overfull \hbox (436.20694pt too wide) in paragraph at lines 4--4
	[]\T1/cmr/bx/n/24.88 One  
[...]

When viewing it with xdvi, metafont creates new fonts (e.g.
dcr1200.3pk), and the characters are _BIG_.

I could resolve the problem after some hours of searching :-(  :
In latex-2e/base/unpack.ins (in the source tree) `newdc.ins' gets input.
But it seems as if the dc fonts provided in mfbasfnt_1.0-4 (and
mdcfnt_1.0-1_all - same metafont sources) are the old one (I don't know
anything about the new dc font's, just read about a version 1.2 in
cmfonts.fdd).

By

	latex olddc.ins
	mv T1*fd /usr/lib/texmf/tex/latex/base
	cd /usr/lib/texmf/ini; initex latex.initex

I could generate a new latex format with the old dc description.

Regards
	Herbert.

----- End of forwarded message from thielen -----